Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class UnitAdjustmentDescriptionImpl

    java.lang.Object
      com.bea.commerce.ebusiness.price.quote.AdjustmentDescriptionImpl
          com.bea.commerce.ebusiness.price.quote.UnitAdjustmentDescriptionImpl

All Implemented Interfaces
  AdjustmentDescription, UnitAdjustmentDescription, Serializable

Deprecated

    @Deprecated
    public class UnitAdjustmentDescriptionImpl

extends AdjustmentDescriptionImpl
implements UnitAdjustmentDescription

See Also
  Serialized Form

Constructor Summary
`UnitAdjustmentDescriptionImpl(AdjustmentType type, String currency, Money initialPrice, Money endPrice, Money adjustmentAmount, String computation, String reason, String id, double quantity, Money initialUnitPrice, Money endUnitPrice, Money unitAdjustmentAmount)` Deprecated

Method Summary
`Money` | `endUnitPrice()` Deprecated
`Money` | `initialUnitPrice()` Deprecated
`double` | `quantity()` Deprecated
`String` | `toString()` Deprecated
`static String` | `toString(Iterator it, int size)` Deprecated
`Money` | `unitAdjustmentAmount()` Deprecated

Methods inherited from class com.bea.commerce.ebusiness.price.quote.AdjustmentDescriptionImpl
`adjustmentAmount, computation, endPrice, getCurrency, id, initialPrice, reason, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.commerce.ebusiness.price.quote.AdjustmentDescription
`adjustmentAmount, computation, endPrice, getCurrency, id, initialPrice, reason, type`

Constructor Detail

### UnitAdjustmentDescriptionImpl

    public UnitAdjustmentDescriptionImpl(AdjustmentType type,
                                         String currency,
                                         Money initialPrice,
                                         Money endPrice,
                                         Money adjustmentAmount,
                                         String computation,
                                         String reason,
                                         String id,
                                         double quantity,
                                         Money initialUnitPrice,
                                         Money endUnitPrice,
                                         Money unitAdjustmentAmount)

  Deprecated

Method Detail

### quantity

    public double quantity()

  Deprecated
  Specified by:
    `quantity` in interface `UnitAdjustmentDescription`

### initialUnitPrice

    public Money initialUnitPrice()

  Deprecated
  Specified by:
    `initialUnitPrice` in interface `UnitAdjustmentDescription`

### endUnitPrice

    public Money endUnitPrice()

  Deprecated
  Specified by:
    `endUnitPrice` in interface `UnitAdjustmentDescription`

### unitAdjustmentAmount

    public Money unitAdjustmentAmount()

  Deprecated
  Specified by:
    `unitAdjustmentAmount` in interface `UnitAdjustmentDescription`

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `AdjustmentDescriptionImpl`

### toString

    public static String toString(Iterator it,
                                  int size)

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.